mga driver no longer will display 1600x1200

Bug #112238 reported by Carl Nobile on 2007-05-04
12
Affects Status Importance Assigned to Milestone
X.Org X server
Invalid
Medium
xserver-xorg-video-mga (Ubuntu)
Medium
Unassigned

Bug Description

It seems that the newest xorg driver for MGA devices no longer support 1600x1200 resolution.
I've only found one place on the net that mentions this issue, they seem to believe that it is the latest release of xorg.
I'm using Feisty on a fairly old machine.

I've removed all the modeline statement in the xorg.conf file to let the VESA preset timing modes in my ViewSonic GS790 monitor control the modes.

My video card is a MGA G400 Max (32M) duel monitor card, but I'm only using a single monitor.

This always worked fine previous installs that were not Ubuntu based.

The pertinent lines in my xorg.cone are below.
---------------------------------------------------------
Section "Monitor"
  identifier "GS790"
  vendorname "ViewSonic"
  modelname "ViewSonic GS790"
  HorizSync 30-97
  VertRefresh 50-180

  #gamma 1.05 1.0 1.03
EndSection

Section "Screen"
  Identifier "Default Screen"
  Device "Matrox Graphics, Inc. MGA G400/G450"
  Monitor "GS790"
  DefaultDepth 24
  SubSection "Display"
    depth 24
    modes "1600x1200" "1280x1024" "1024x768" "800x600" "640x480"
  EndSubSection
EndSection

Brian Murray (brian-murray) wrote :

Thanks for taking the time to report this bug and helping to make Ubuntu better. Could you please add your '/etc/X11/xorg.conf' file and your '/var/log/Xorg.0.log' file as attachments to your bug report? Thanks in advance.

Carl Nobile (cnobile1) wrote :

These are my files.

Carl Nobile (cnobile1) wrote :
Carl Nobile (cnobile1) wrote :

I have a related issue that may be related to the problem. After logging out of my account the second time X crashes. This is very consistent it always happens the 2nd time I logout of KDE. Killing X from a VT, then switching back to the login with alt/ctl F7 locks up the display, mouse and keyboard. The only thing I can do is login from my laptop and do a (shutdown -r now) to fix it.

xorg 7.2.0, with mga driver 1.4.6 (ABI version 1.1)

Card: MGA G400 Max (32M)
Monitor: ViewSonic GS790

The user (cnobile) is reporting that 1600x1200 resolution worked on older versions of xorg, but with xorg 7.2 on Ubuntu Feisty X marks the available 1600x1200 resolutions as "mode clock too high" (see Xorg.0.log).

Created an attachment (id=10086)
xorg.conf

Created an attachment (id=10087)
Xorg.0.log

Bryce Harrington (bryce) wrote :

Hi cnobile,

Thanks for reporting this bug. I've reviewed your xorg.conf, Xorg.0.log, and the manufactor's manuals for both your video card and monitor. It looks to me that you've configured everything appropriately, and your hardware looks like it definitely should support this configuration. If it worked previously with this config, then it does sound likely that it is a regression in either xserver or the driver.

According to your log file, you're running xorg 7.2.0, with mga driver 1.4.6 (ABI version 1.1). A newer version of the xserver is available, however this may be a driver issue. The latest version of the mga driver is 1.4.6.1, which differs from 1.4.6.0 only by non-code changes, so upgrading your driver likely would not fix it. I'll report this upstream and we'll see if we can get some better troubleshooting directions.

Bryce Harrington (bryce) on 2007-05-24
Changed in xorg:
assignee: brian-murray → nobody
status: Needs Info → Confirmed
importance: Undecided → Medium
Changed in xorg-server:
status: Unknown → Confirmed
Carl Nobile (cnobile1) wrote :

The link below is from the "Unofficial Matrox Technical Support Forum" it talks about the exact issues I'm having but with a slightly different Matrox card and monitor.

http://matrox.tuxx-home.at/viewtopic.php?p=1446&sid=cb5daaa8024697b6e65be0be23ced93f

From looking deeper in my log file it seems obvious to me that the driver is incorrectly comparing the available modelines to the horizontal and/or vertical frequencies. I have been able to get the monitor to work with this modeline "1680x1050" 147.14 1680 1784 1968 2256 1050 1051 1054 1087

I'm the original person to report this bug. Has there been any movement on this issue. I have seen no changes in how this works with recent upgrades to my system. I would be more than happy to supply additional info on this issue.
-Carl

What's the latest version of the driver that worked properly for you?

The short answer is mga-1.4.1.

However, I have done a lot of testing since I posted this bug with Ubuntu. I
compiled mga-1.4.1 and dropped it in /usr/lib/xorg/modules/drivers, after
renaming the current version but, the issue remained, so I'm beginning to
think it is an xserver problem. Also, every once-in-a-while if I reboot the
machine it will come up in 1600x1200 with no coxing from me, but as soon as
I log out of my account I'm stuck at 1680x1050 again. I can get by with
this, but the aspect ratio is all screwed up.

At the time I reported this bug I found a few other posts on the web about
this issue, but I haven't been able to find them again.

On Sat, May 10, 2008 at 4:11 PM, <email address hidden> wrote:

> http://bugs.freedesktop.org/show_bug.cgi?id=11057
>
> --- Comment #4 from Tilman Sauerbeck <email address hidden> 2008-05-10
> 13:11:59 PST ---
> What's the latest version of the driver that worked properly for you?
> --
> Configure bugmail: http://bugs.freedesktop.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
>
-------------------------------------------------------------------------------
Carl J. Nobile (Software Engineer)
<email address hidden>
-------------------------------------------------------------------------------

kko (kko) wrote :

Confirmed here as well. I upgraded from Dapper to Hardy, in Dapper 1600x1200 worked fine, in Hardy I'm dropped to 1280x1024, and Xorg.0.log shows this ('grep 1600x /var/log/Xorg.0.log' - I won't attach the entire files for now):
(II) MGA(0): Not using default mode "1600x1200" (mode clock too high)
(II) MGA(0): Not using default mode "1600x1200" (mode clock too high)
(II) MGA(0): Not using default mode "1600x1200" (mode clock too high)
(II) MGA(0): Not using default mode "1600x1200" (hsync out of range)
(II) MGA(0): Not using default mode "1600x1200" (hsync out of range)
(II) MGA(0): Not using mode "1600x1200" (no mode of this name)

My card is Matrox G450 (16 MB memory), and my monitor's values from 'xorg.conf' are here:
HorizSync 31-92
VertRefresh 50-150

I wonder if this (preceding the list of discared modes ("Not using" lines)) has anything to do with it - i.e. what is the significance of "Using maximum pixel clock of 150.00 MHz", and where does this value come from - and if it has anything to do with the problem, how can it be explicitly changed:
(==) MGA(0): Min pixel clock is 17 MHz
(--) MGA(0): Max pixel clock is 1200 MHz
(II) MGA(0): Fujitsu x174a: Using hsync range of 31.00-92.00 kHz
(II) MGA(0): Fujitsu x174a: Using vrefresh range of 50.00-150.00 Hz
(II) MGA(0): Fujitsu x174a: Using maximum pixel clock of 150.00 MHz
(II) MGA(0): Clock range: 17.75 to 1200.00 MHz

Does anyone have workarounds for this? I wonder if I could find a working 1600x1200 modeline with 'xvidtune', to explicitly specify it. (Had I known about this already in Dapper, I suppose I could've stored a working modeline then...)

Carl Nobile (cnobile1) wrote :

This is an upstream issue. Here is the URL to their bug report: https://bugs.freedesktop.org/show_bug.cgi?id=11057

As I mentioned to them I compiled the driver that worked from a previous release and dropped it into the /usr/lib/xorg/modules/drivers directory, but the issue remained. This would tell me something in the X server itself has broken the MGA driver. You are right it is most likely something to do with the pixel clock of 150.00 MHz. I came to the same conclusion.

Tormod Volden (tormodvolden) wrote :

There have been a number of fixes to the mga driver since last time we heard from you. Can you please try Jaunty, Karmic or packages from my PPA https://launchpad.net/~tormodvolden/+archive/ppa ?

Changed in xserver-xorg-video-mga (Ubuntu):
assignee: nobody → Tormod Volden (tormodvolden)
status: Confirmed → Incomplete

I ran Jaunty from the install CD, but did not install it, the best
resolution I could get was 1400x1050, 1600x1200 is not even shown in
the list of possible resolutions. I downloaded the package you
mentioned, but am hesitant to install it as it is for Karmic and I
have Hardy on the box and don't want to upgrade at this time.

If there is an issue with the MGA driver I don't think it is the only
issue since dropping a version of this driver that I know used to work
into /usr/lib/xorg/modules/drivers/ doesn't fix the issues at all. So,
this looks like there is some sort of miss match between the driver
and the X server itself.

-Carl

On Mon, Jun 22, 2009 at 5:43 PM, Tormod Volden<email address hidden> wrote:
> There have been a number of fixes to the mga driver since last time we
> heard from you. Can you please try Jaunty, Karmic or packages from my
> PPA https://launchpad.net/~tormodvolden/+archive/ppa ?
>
> ** Changed in: xserver-xorg-video-mga (Ubuntu)
>       Status: Confirmed => Incomplete
>
> ** Changed in: xserver-xorg-video-mga (Ubuntu)
>     Assignee: (unassigned) => Tormod Volden (tormodvolden)
>
> --
> mga driver no longer will display 1600x1200
> https://bugs.launchpad.net/bugs/112238
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
-------------------------------------------------------------------------------
Carl J. Nobile (Software Engineer)
<email address hidden>
-------------------------------------------------------------------------------

Tormod Volden (tormodvolden) wrote :

The PPA package is actually for Jaunty, so you can try it out on the Jaunty Desktop CD. Just log out after installing the package so that X restarts. Please attach the Xorg.0.log you get in Jaunty.

Carl Nobile (cnobile1) wrote :

Tormod,

I have attached two Xorg.0.log files the old and the current (after
installing the updated MGA driver). It still only gave me a max
resolution of 1400x1050. I have noticed in the new /etc/X11/xorg.conf
file that there ia very little and no reference to the monitor type at
all, just a generic reference. Also System Settings (KDE4) will not
allow me to choose a monitor, MOF it doesn't even give me the choice
anymore.

-Carl

On Tue, Jun 23, 2009 at 12:03 PM, Tormod Volden<email address hidden> wrote:
> The PPA package is actually for Jaunty, so you can try it out on the
> Jaunty Desktop CD. Just log out after installing the package so that X
> restarts. Please attach the Xorg.0.log you get in Jaunty.
>
> --
> mga driver no longer will display 1600x1200
> https://bugs.launchpad.net/bugs/112238
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
-------------------------------------------------------------------------------
Carl J. Nobile (Software Engineer)
<email address hidden>
-------------------------------------------------------------------------------

Changed in xserver-xorg-video-mga (Ubuntu):
assignee: Tormod Volden (tormodvolden) → nobody
status: Incomplete → Confirmed
Tormod Volden (tormodvolden) wrote :

The monitor is autodetected, so it does not need configuration. It seems the server discards the 1600x1200 modes even though they are reported by the monitor.

Carl Nobile (cnobile1) wrote :

Yes, this fits in with my experiences. When I first had this problem I
compiled a version of the driver that I knew worked correctly on a
previous install of Linux and it still didn't work with my current
install, so I concluded that somehow the server itself was doing the
wrong thing with the MGA driver.

-Carl

On Mon, Jun 29, 2009 at 7:46 AM, Tormod Volden<email address hidden> wrote:
> The monitor is autodetected, so it does not need configuration. It seems
> the server discards the 1600x1200 modes even though they are reported by
> the monitor.
>
> --
> mga driver no longer will display 1600x1200
> https://bugs.launchpad.net/bugs/112238
> You received this bug notification because you are a direct subscriber
> of the bug.
>

-------------------------------------------------------------------------------
Carl J. Nobile (Software Engineer)
<email address hidden>
-------------------------------------------------------------------------------

Bryce Harrington (bryce) wrote :

[This is an automatic notification.]

Hi REPORTER,

This bug was reported against an earlier version of Ubuntu, can you
test if it still occurs on Lucid?

Please note we also provide technical support for older versions of
Ubuntu, but not in the bug tracker. Instead, to raise the issue through
normal support channels, please see:

    http://www.ubuntu.com/support

If you are the original reporter and can still reproduce the issue on
Lucid, please run the following command to refresh the report:

  apport-collect BUGNUMBER

If you are not the original reporter, please file a new bug report, so
we can work with you as the original reporter instead (you can reference
bug BUGNUMBER in your report if you think it may be related):

  ubuntu-bug xorg

If by chance you can no longer reproduce the issue on Lucid or if you
feel it is no longer relevant, please mark the bug report 'Fix Released'
or 'Invalid' as appropriate, at the following URL:

  https://bugs.launchpad.net/ubuntu/+bug/BUGNUMBER

Changed in xserver-xorg-video-mga (Ubuntu):
status: Confirmed → Incomplete
tags: added: needs-retested-on-lucid-by-june
Bryce Harrington (bryce) wrote :

[This is an automatic notification.]

Hi Carl,

This bug was reported against an earlier version of Ubuntu, can you
test if it still occurs on Lucid?

Please note we also provide technical support for older versions of
Ubuntu, but not in the bug tracker. Instead, to raise the issue through
normal support channels, please see:

    http://www.ubuntu.com/support

If you are the original reporter and can still reproduce the issue on
Lucid, please run the following command to refresh the report:

  apport-collect 112238

If you are not the original reporter, please file a new bug report, so
we can work with you as the original reporter instead (you can reference
bug 112238 in your report if you think it may be related):

  ubuntu-bug xorg

If by chance you can no longer reproduce the issue on Lucid or if you
feel it is no longer relevant, please mark the bug report 'Fix Released'
or 'Invalid' as appropriate, at the following URL:

  https://bugs.launchpad.net/ubuntu/+bug/112238

Changed in xserver-xorg-video-mga (Ubuntu):
status: Incomplete → New
status: New → Incomplete
Bryce Harrington (bryce) on 2010-05-21
tags: added: hardy
Carl Nobile (cnobile1) wrote :

I'm still here. I hope to be testing this off a live CD this weekend
(2010-05-22/23). I'll be deprecating this machine soon, so hardy will
be the last version that will ever be on it. The monitor will be going
soon also as it won't be needed anymore.

~Carl

On Fri, May 21, 2010 at 1:48 PM, Bryce Harrington
<email address hidden> wrote:
> ** Tags added: hardy
>
> --
> mga driver no longer will display 1600x1200
> https://bugs.launchpad.net/bugs/112238
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
-------------------------------------------------------------------------------
Carl J. Nobile (Software Engineer)
<email address hidden>
-------------------------------------------------------------------------------

Carl Nobile (cnobile1) wrote :

Okay, I go to it a bit sooner than I thought. My ViewSonic GS790 still
was only able to display in 1400x1050 even with
the Lucid Live CD. Now something happened that has happened before and
that is when I boot back into Hardy the display was in 1600x1200. This
is always short lived however and the next time I boot it will revert
back to 1400x1050.

This seems to indicate that maybe the Live CD set the hardware in a
state that lets it work for a while at 1600x1200, but after rebooting
again the hardware falls back to the setting that only lets the
monitor display at the lower res.

I could be way off on this, but maybe there is germ is truth it it.

~Carl

On Fri, May 21, 2010 at 2:06 PM, Carl Nobile <email address hidden> wrote:
> I'm still here. I hope to be testing this off a live CD this weekend
> (2010-05-22/23). I'll be deprecating this machine soon, so hardy will
> be the last version that will ever be on it. The monitor will be going
> soon also as it won't be needed anymore.
>
> ~Carl
>
> On Fri, May 21, 2010 at 1:48 PM, Bryce Harrington
> <email address hidden> wrote:
>> ** Tags added: hardy
>>
>> --
>> mga driver no longer will display 1600x1200
>> https://bugs.launchpad.net/bugs/112238
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>

-------------------------------------------------------------------------------
Carl J. Nobile (Software Engineer)
<email address hidden>
-------------------------------------------------------------------------------

Bryce Harrington (bryce) on 2010-07-10
tags: added: jaunty
Changed in xorg-server:
importance: Unknown → Medium
Changed in xorg-server:
importance: Medium → Unknown
Changed in xorg-server:
importance: Unknown → Medium

Mass closure: This bug has been untouched for more than six years, and is not
obviously still valid. Please reopen this bug or file a new report if you continue to experience issues with current releases.

Changed in xorg-server:
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.